#!/bin/sh

echo
echo "--------------------------------------------------------------"
echo " logmonitor Event management tool."
echo "   All Rights Reserved. Copyright (C) 2006,2019, Hitachi, Ltd."
echo "--------------------------------------------------------------"
echo

### Logrotate config ###
if [ ! -d /etc/logrotate.d ]; then
    mkdir -p /etc/logrotate.d
fi
cp -f ./esxi5-syslog_for_miacat /etc/logrotate.d/
if [ $? != 0 ]; then
    echo "Installed failure. Failed to copy a file of esxi5-syslog_for_miacat"
    exit 1
fi

### rsyslog config ###
if [ ! -d /etc/rsyslog.d ]; then
    mkdir -p /etc/rsyslog.d
fi
cp -f ./rsyslog_conf_for_miacat.conf /etc/rsyslog.d/
if [ $? != 0 ]; then
    echo "Installed failure. Failed to copy a file of rsyslog_conf_for_miacat.conf"
    exit 1
fi

echo "Installed successfully."
exit 0
